<cfcomponent displayname="Controller" extends="ModelGlue.unity.controller.Controller" output="false">
	<!--- 
		Any function set up to listen for the onRequestStart message happens before any of the <event-handlers>.
		This is a good place to put things like session defaults.
	--->
	<cffunction name="onRequestStart" access="public" returnType="void" output="false">
	  <cfargument name="event" type="any">
	</cffunction>
	
	<cffunction name="getContactForm" access="public" returnType="void" output="false">
	  <cfargument name="event" type="any">
	  <cfset var ContactFormBean = getModelGlue().getBean("ContactFormBean") />
	  <cfset arguments.event.makeEventBean( ContactFormBean ) />
	  <cfset arguments.event.setValue( "ContactFormBean", ContactFormBean ) />
	</cffunction>
	
	<cffunction name="handleContactForm" access="public" returnType="void" output="false">
	  <cfargument name="event" type="any">
	  <cfset var ContactFormBean = getModelGlue().getBean( "ContactFormBean" ) />
	  <cfset var ContactService = getModelGlue().getBean( "ContactService") />
 	  <cfset var ContactList = ContactService.getContactList() />
	  <cfset arguments.event.makeEventBean( ContactFormBean ) />
	  <cfset arrayAppend( ContactService.getContactList(), ContactFormBean ) />
	  
	  <cfset arguments.event.setValue( "ContactFormBean", ContactFormBean ) />
	  <cfset arguments.event.addResult("Success") />
	</cffunction>

	<cffunction name="getContactList" access="public" returntype="void" output="false">
		<cfargument name="event" type="any" />
		 <cfset var ContactService = getModelGlue().getBean( "ContactService") />
		 <cfset arguments.event.setValue( "ContactList", ContactService.getContactList() ) />
	</cffunction>
	

	
	<!--- 
		Any function set up to listen for the onQueueComplete message happens after all event-handlers are
		finished running and before any views are rendered.  This is a good place to load constants (like UDF
		libraries) that the views may need.
	--->
	<cffunction name="onQueueComplete" access="public" returnType="void" output="false">
	  <cfargument name="event" type="any">
	</cffunction>

	<!--- 
		Any function set up to listen for the onRequestEnd message happens after views are rendered.
	--->
	<cffunction name="onRequestEnd" access="public" returnType="void" output="false">
	  <cfargument name="event" type="any">
	</cffunction>
</cfcomponent>